=== debian/changelog ===
nvidia-settings-legacy-173xx (173.14.35-2) unstable; urgency=low

  * Add libgl1-nvidia-legacy-96xx-glx as alternative recommendation to avoid
    pulling in 173xx packages on 96xx installations.  (Closes: #702651)
  * Update menu title (Closes: #688748) and package description to mention
    96xx legacy support.
  * Update my email address and drop DMUA.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Mar 2013 16:53:26 +0100

nvidia-settings-legacy-173xx (173.14.35-1) unstable; urgency=low

  * Initial release of nvidia-settings for use with the legacy 173xx driver.
    nvidia-settings (>= 302) is no longer fully backwards compatible with the
    legacy driver.
  * Build only a single binary package, no -dev package or shared library.
  * 08_fix_format-security: New patch to fix compile errors.

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 31 Jul 2012 17:16:30 +0200

nvidia-settings (302.17-2) unstable; urgency=low

  * debian/rules: Really use the hardened CPPFLAGS.
  * Support building with DEB_BUILD_OPTIONS=noopt.
  * Enable verbose build by default.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 30 Jun 2012 19:33:08 +0200

nvidia-settings (302.17-1) unstable; urgency=low

  * New upstream release.
    - Fixed a bug that caused the link configuration of DisplayPort devices to
      be reported incorrectly in nvidia-settings.  [302.11]
  * Upload to unstable.
  * Switch to debhelper 9 to get the hardening build flags.
  * 10_libxnvctrl_so_0.diff, debian/rules: Use the hardened CPPFLAGS/LDFLAGS.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 27 Jun 2012 09:18:18 +0200

nvidia-settings (302.07-1) experimental; urgency=low

  * New upstream release.
    - Added a "CurrentMetaMode" attribute to the nvidia-settings command
      line, to query and set the current MetaMode.
      As an example, these two commands are equivalent:
        xrandr --output DVI-I-2 --mode 1280x1024 --pos 0x0 \
               --output DVI-I-3 --mode 1920x1200 --pos 1280x0
        nvidia-settings --assign CurrentMetaMode=\
                "DVI-I-2: 1280x1024 +0+0, DVI-I-3: 1920x1200 +1280+0"
    - Removed overscan compensation configurability from NV-CONTROL and
      nvidia-settings. This can be configured, with finer granularity,
      through the ViewPortIn and ViewPortOut MetaMode attributes.
      See "Configuring Multiple Display Devices on One X Screen" in the
      README for details.
    - Removed Flat Panel Scaling configurability in nvidia-settings.
      Any desired scaling can be configured through the new "ViewPortIn"
      and "ViewPortOut" MetaMode attributes.
    - Expose the following additional FSAA modes via NV-CONTROL,
      nvidia-settings, and through X visuals and GLXFBConfigs:
        16X multisample FSAA on all GeForce GPUs
        Coverage sample FSAA on G80 and above GeForce GPUs
        32X multisample FSAA on G80 and above Quadro GPUs
        64X multisample FSAA on Fermi and above Quadro GPUs
    - Added a new, higher resolution icon for nvidia-settings.
    - Added a checkbox to nvidia-settings to control the texture clamping
      attribute.  When the box is checked, OpenGL textures are clamped
      according to the OpenGL specification.  When it is unchecked, GL_CLAMP
      is remapped to GL_CLAMP_TO_EDGE for borderless 2D textures.
    - Removed the "Display" and "X Screen" tabs from the "X Server Display
      Configuration Page" of nvidia-settings, and added a new "Selection"
      dropdown menu for selecting X screens or display devices.  This
      makes it easier to select X screens/Displays that are hidden.
  * Upload to experimental.
  * Drop patches 00_destdir, 03_build_xnvctrl_with_fpic: fixed upstream.
  * Refresh patches 04_link_as-needed, 06_fix_typos, 07_fix_hyphenation,
    10_libxnvctrl_so_0 and adjust for buld system changes.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 09 May 2012 13:09:16 +0200

nvidia-settings (295.49-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 09 May 2012 11:58:10 +0200

nvidia-settings (295.33-2) unstable; urgency=low

  * Add 10_libxnvctrl_so_0.diff: build libXNVCtrl.so.0 shared library.
  * Add libnvctrl0 package.  (Closes: #666909)

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 13 Apr 2012 08:10:30 +0200

nvidia-settings (295.33-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.3, no changes needed.
  * Use the final copyright-format/1.0 URL.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 04 Apr 2012 14:35:52 +0200

nvidia-settings (295.20-1) unstable; urgency=low

  * New upstream release.
    - Split the DFP configuration page in nvidia-settings into multiple
      tabs, allowing the controls to be displayed on smaller screens.
  * Switch debian/copyright to DEP-5 format and add more license statements
    found in the source.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 15 Feb 2012 21:16:29 +0100

nvidia-settings (290.10-1) unstable; urgency=low

  * New upstream release.  (Closes: #639009)
  * Add pkg-config to Build-Depends and Depends.  Thanks Mackenzie Morgan!

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 23 Nov 2011 13:12:07 +0100

nvidia-settings (280.13-1) unstable; urgency=low

  * New upstream release.
  * Remove nvidia-common dependency from libnvctrl-dev.  (Closes: #636821)

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 06 Aug 2011 12:20:34 +0200

nvidia-settings (275.21-1) unstable; urgency=low

  * New upstream release.
    - Fixed a bug that caused nvidia-settings to crash when configuring
      multiple X screens after all monitors were unplugged from one of
      the X screens.
    - Fixed a bug in nvidia-settings that caused the display configuration
      page to show extra disabled displays after connecting a new monitor.
  * Recommend libgl1-nvidia-glx-any (for libGL.so.1).

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 23 Jul 2011 12:28:54 +0200


