=== debian/control ===
Source: nvidia-settings-legacy-173xx
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
 Russ Allbery <rra@debian.org>
Build-Depends:
 debhelper (>= 9),
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk2.0-dev,
 libxext-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
Build-Conflicts:
 libxnvctrl-dev,
Standards-Version: 3.9.3
Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-settings-legacy-173xx/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-settings-legacy-173xx/

Package: nvidia-settings-legacy-173xx
Architecture: i386 amd64
Pre-Depends: nvidia-installer-cleanup
Depends: pkg-config, ${shlibs:Depends}, ${misc:Depends}
Recommends: libgl1-nvidia-legacy-173xx-glx | libgl1-nvidia-legacy-96xx-glx
Provides: nvidia-settings
Conflicts: nvidia-settings,
 xserver-xorg-video-nvidia,
Replaces: nvidia-settings
Description: Tool for configuring the NVIDIA graphics driver
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.
 .
 This version of nvidia-settings is only for use with the 173xx and 96xx
 legacy drivers.
