=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG = 1
endif

export PREFIX = /usr


%:
	dh $@

override_dh_auto_build:
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" dh_auto_build -O--parallel
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" $(MAKE) -C samples

override_dh_auto_clean:
	dh_auto_clean
	$(RM) src/libXNVCtrl/libXNVCtrl.a
	[ ! -f src/XF86Config-parser/Makefile ] || $(MAKE) -C src/XF86Config-parser clean
	[ ! -f samples/Makefile ] || $(MAKE) -C samples clean

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_installexamples:
	[ ! -f samples/Makefile ] || $(MAKE) -C samples clean
	dh_installexamples

override_dh_compress:
	dh_compress --exclude=.c --exclude=.mk
