## nvidia-settings-legacy-173xx 173.14.39

=== debian/changelog ===
nvidia-settings-legacy-173xx (173.14.39-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 16 Jan 2014 10:25:05 +0100

nvidia-settings-legacy-173xx (173.14.39-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 07 Dec 2013 20:55:10 +0100

nvidia-settings-legacy-173xx (173.14.38-2) unstable; urgency=low

  * Synchronize packaging with nvidia-settings-legacy-304xx 304.116-1
  * Synchronize packaging with nvidia-settings 319.60-1:
    - Add lintian overrides for missing upstream changelog.
  * Synchronize packaging with nvidia-settings 319.72-1:
    - Bump Standards-Version to 3.9.5. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 01 Dec 2013 16:20:06 +0100

nvidia-settings-legacy-173xx (173.14.38-1) unstable; urgency=low

  * New upstream release.
  * Synchronize packaging with nvidia-settings-legacy-304xx 304.108-2
  * Synchronize packaging with nvidia-settings 310.51-1:
    - Add Build-Conflicts: libxnvctrl-dev, to avoid building against the
      shared library.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Sep 2013 20:49:08 +0200

nvidia-settings-legacy-173xx (173.14.37-1) unstable; urgency=low

  * New upstream release.
  * Synchronize packaging with nvidia-settings 304.88-2:
    - Use canonical Vcs-* URLs. 
    - Bump Standards-Version to 3.9.4. No changes needed.
    - Add support for "legacy" substitution like in nvidia-graphics-drivers.
    - Add support for renaming control files for legacy use.
    - Add support for generating legacy-aware watch files.
  * Make nvidia-settings and nvidia-settings-legacy-* co-installable.
    - Install everything to /usr/lib/nvidia/legacy-173xx.
    - nvidia-alternative-legacy-173xx manages the alternative symlinks.
    (Closes: #688752)
  * Drop support for the 96xx legacy driver. That will get its own
    nvidia-settings-legacy-96xx.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 May 2013 00:52:32 +0200

nvidia-settings-legacy-304xx (304.116-1) unstable; urgency=low

  * New upstream release 304.116.
  * Synchronize packaging with nvidia-settings 310.51-1:
    - Add Build-Conflicts: libxnvctrl-dev, to avoid building against the
      shared library.
  * Synchronize packaging with nvidia-settings 319.60-1:
    - Add lintian overrides for missing upstream changelog.
  * Synchronize packaging with nvidia-settings 319.72-1:
    - Bump Standards-Version to 3.9.5. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Nov 2013 15:55:48 +0100

nvidia-settings-legacy-304xx (304.108-2) unstable; urgency=low

  * Synchronize packaging with nvidia-settings 304.108-2:
    - Fix nvidia-legacy-304xx-alternative substitution.  (Closes: #722492)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Sep 2013 19:36:32 +0200

nvidia-settings-legacy-304xx (304.108-1) unstable; urgency=low

  * Initial release of nvidia-settings for use with the legacy 304xx driver.
  * Build only a single binary package, no -dev package or shared library.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Aug 2013 21:50:13 +0200

nvidia-settings (304.108-2) unstable; urgency=low

  * More generic "nvidia-alternative" substitution.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Sep 2013 19:43:45 +0200

nvidia-settings (304.108-1) unstable; urgency=low

  * New upstream release 304.108.
    - Fixed a bug in nvidia-settings that could cause the wrong
      resolution to be set in basic mode for setups based on one
      display per X screen.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Aug 2013 20:32:16 +0200

nvidia-settings (304.88-2) unstable; urgency=low

  * 13_clean.diff: New. Recurse into libXNVCtrl during clean.
  * Fix building twice in a row.
  * 14_install_docs.diff: New. Fix permissions of installed manpage.
  * Use canonical Vcs-* URLs. 
  * Bump Standards-Version to 3.9.4. No changes needed.
  * Renumber patches to avoid numbering conflicts with -legacy-*.
  * Add support for "legacy" substitution like in nvidia-graphics-drivers.
  * Add support for renaming control files for legacy use.
  * Add support for generating legacy-aware watch files.
  * Make nvidia-settings and nvidia-settings-legacy-* co-installable.
    - Install everything to /usr/lib/nvidia/current.
    - nvidia-alternative manages the alternative symlinks.
    (Closes: #688749)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 May 2013 00:36:04 +0200

nvidia-settings (304.88-1) unstable; urgency=low

  * New upstream release 304.88.
  * Update menu title. Thanks Gaudenz Steinlin.  (Closes: #688746)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Apr 2013 10:55:54 +0200

nvidia-settings (304.84-1) unstable; urgency=low

  * New upstream release 304.84.
  * Update my email address and drop DMUA.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Mar 2013 16:00:54 +0100

nvidia-settings (304.64-1) unstable; urgency=low

  * New upstream release 304.64.
    - Fixed a bug that sometimes prevented the display device / X screen
      selection menu from being displayed in nvidia-settings.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 07 Nov 2012 11:02:15 +0100

nvidia-settings (304.60-1) unstable; urgency=low

  * New upstream release 304.60.
    - Updated nvidia-settings to save and restore per-monitor color correction
      settings when RandR 1.2 or later is available.
    - Fixed a bug that caused too many display devices to appear in the X Screen
      page of nvidia-settings when SLI is enabled.
    - Fixed a bug in nvidia-settings that made it report the status of ECC
      configuration incorrectly.
    - Updated nvidia-settings to report Dedicated GPU Memory (i.e., the
      memory dedicated exclusively to the GPU) and Total GPU Memory (i.e.,
      Dedicated GPU Memory plus any TurboCache(TM)-accessible system memory)
      separately on the GPU information page.
    - Added reporting of the current utilization of Dedicated GPU Memory to

